Subject: Re: Symbol filled with null bytes after unexpected shutoff

From: Skyler <[email-masked]>
Date: Sun, 10 Jul 2022 19:54:02 +0000

Removing the contents of ~/.cache/guix recovered the user account.
------- Original Message -------
On Sunday, July 10th, 2022 at 12:25 PM, Skyler <[email-masked]> wrote:

> Hello Guix developers,

> After my laptop unexpectedly powered off during a pull operation from a user account, the next attempt to pull as root resulted in the below error. The unexpected shutoff is due to some esoteric bug which causes my laptop to power off during pull or reconfigure operations if it is not plugged into a power source (Guix is running in a Qubes standalone HVM). I don't know how to give any useful information for the latter which is why I have not reported it, but an error caused by the unexpected shutoff seems easier to diagnose and more widely applicable. Let me know if you need any additional information.
> 

> Attempting to pull from a user account results in "guix pull: error: Git error: object not found - no match for id (bf0a646a5bcde489b602c58fbb63a93acb9d08f6)
> 

> Running "sudo guix gc; sudo guix pull" was successful. Ruinning "guix gc" successfully collected garbage, but did not resolve "guix pull" for the user account.
> 

> Thanks,
> Skyler

> Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...Authenticating channel 'guix', commits 9edb3f6 to bf0a646 (26 new commits)...
> Building from this channel:
>   guix      https://git.savannah.gnu.org/git/guix.git bf0a646
>  compute-guix-derivation  1012B        75KiB/s 00:00 [##################] 100.0%
> Backtrace:
> In ice-9/psyntax.scm:
>   1222:19 19 (parse _ (("placeholder" placeholder)) ((top) #(ribcage () () ())) _ e (eval) (hygiene #{ g162}#))
>    259:10 18 (parse _ (("placeholder" placeholder)) (()) _ c&e (eval) (hygiene #{ g162}#))
> In ice-9/eval.scm:
>    293:34 17 (_ #<module (#{ g162}#) 7f067a96ab40>)
> In ice-9/boot-9.scm:
>    3409:4 16 (define-module* _ #:filename _ #:pure _ #:version _ #:imports _ #:exports _ #:replacements _ # _ # _ # _ ?)
>   3422:24 15 (_)
>    222:29 14 (map1 (((guix licenses) #:prefix license:) ((gnu packages)) ((gnu packages base)) ((gnu packages #)) # ?))
>    222:29 13 (map1 (((gnu packages)) ((gnu packages base)) ((gnu packages bootstrap)) ((gnu packages compression)) ?))
>    222:29 12 (map1 (((gnu packages base)) ((gnu packages bootstrap)) ((gnu packages compression)) ((gnu # elf)) (#) ?))
>    222:29 11 (map1 (((gnu packages bootstrap)) ((gnu packages compression)) ((gnu packages elf)) ((gnu packages ?)) ?))
>    222:17 10 (map1 (((gnu packages compression)) ((gnu packages elf)) ((gnu packages ncurses)) ((gnu packages #)) # ?))
>   3326:17  9 (resolve-interface (gnu packages compression) #:select _ #:hide _ #:prefix _ #:renamer _ #:version _)
> In ice-9/threads.scm:
>     390:8  8 (_ _)
> In ice-9/boot-9.scm:
>   3252:13  7 (_)
> In ice-9/threads.scm:
>     390:8  6 (_ _)
> In ice-9/boot-9.scm:
>   3536:20  5 (_)
>    2835:4  4 (save-module-excursion #<procedure 7f0679674570 at ice-9/boot-9.scm:3537:21 ()>)
>   3556:26  3 (_)
> In unknown file:
>            2 (primitive-load-path "gnu/packages/compression" #<procedure 7f067956db20 at ice-9/boot-9.scm:3543:37 ()>)
> In ice-9/eval.scm:
>    223:20  1 (proc #<module (#{ g166}#) 7f0679581dc0>)
> In unknown file:
>            0 (%resolve-variable (7 . #) #<module (#{ g166}#) 7f0679581dc0>)
> 

> ERROR: In procedure %resolve-variable:
> (SKYLER'S NOTE: the \x0; below is repeated many times, it has been cut for brevity but I can give an exact count if this would be useful)
> error: #{\x0;}#: unbound variable
> Computing Guix derivation for 'x86_64-linux'...  guix pull: error: You found a bug: the program '/gnu/store/bbj9nx64d8b9c46apgq3ckj17k8admaw-compute-guix-derivation'
> failed to compute the derivation for Guix (version: "bf0a646a5bcde489b602c58fbb63a93acb9d08f6"; system: "x86_64-linux";
> host version: "6e2f5fe2170065e23c4176ab79cbc60ad2ffd0f7"; pull-version: 1).
> Please report the COMPLETE output above by email to <[email-masked]>